Bug 1415697 - No authentication dialog for samba printers
Summary: No authentication dialog for samba printers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-settings-daemon
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2017-01-23 13:11 UTC by Deepu K S
Modified: 2018-10-30 10:20 UTC (History)
5 users (show)

Fixed In Version: gnome-settings-daemon-3.28.1-1.el7 control-center-3.28.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:42 UTC

Description Deepu K S 2017-01-23 13:11:32 UTC
Description of problem:
Printer password dialog not shown for network printers (e.g. SMB)

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Workstation release 7.3
gnome-settings-daemon-3.14.4-12.el7.x86_64
gnome-shell-3.14.4-53.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set up a network printer via SMB in CUPS, e.g. something like smb://printserver/queue which requires authentication
2. Try to print a document from gedit
3. Job is held for authentication, no dialog box to ask for authentication pops up
4. CUPS notices this, and adds a "AuthInfoRequired username,password" line into printers.conf
5. Try to print another job in gedit, now the GTK print dialog notices the "AutoInfoRequired" and asks for a username/password, printing works
6. Applications not usng the GTK print dialog (e.g. LibreOffice, or many, MANY other apps) don't check for AuthInfoRequired and so printing fails (the job is held for authentication)

Actual results:
The printout is held for authentication.

Expected results:
A popup asking for Windows username and password should be shown and the printout should be sent to the printer by using these authentication information.

Additional info:
In RHEL6 and earlier the printing with authentication mechanism worked as follows:
1) User prints something
2) Job is held for authentication
3) The "system-config-printer-applet" notices the job is held for authentication, and prompts for user/pass

In RHEL7 under GNOME applications using the GTK print dialog work on the second attempt onwards, e.g. when AuthInfoRequired is added to the printers.conf. Other applications can't print at all because there is no system-config-printer-applet running.

Although system-config-printer-applet is available, and its in XDG autostart (/etc/xdg/autostart) its disabled for GNOME and KDE, so it doesn't start in GNOME/KDE. It appears GNOME doesn't have an equivalent tool running to check for printer jobs held for authentication. 

My guess is that it was decided that noticing that jobs are held for authentication (e.g. trying to print and finding it needs auth) was a little silly and it was much more logical to ask for authentication first. The only issue with this is that a) there is seemingly no way to tell CUPS when you add a printer to add the "AuthInfoRequired" line, and b) non-GTK printer dialog applications will always fail still

Suggested fixes:

1) Modify system-config-printer-applet to run in GNOME since it only kicks in if it notices a job is held for authentication (change the xdg autostart .desktop file to enable it within GNOME)
2) Alter GNOME's gsd-printer to monitor the cups queue and notice jobs held for authentication (and prompt for username/password).

Upstream bug : https://bugzilla.redhat.com/show_bug.cgi?id=757755

Comment 1 David Bell 2017-01-23 13:57:38 UTC
This also affects KDE on RHEL 7.3. Printing from Konqueror for example, nothing happens at all (even repeated attempts do not yield an authentication prompt, where as they do in GNOME applications).

Comment 2 Marek Kašík 2017-07-03 15:13:51 UTC
Why this was reassigned from me to Rui?

Comment 3 John Francini 2017-07-04 01:28:34 UTC
Reassigned in error while changing default owner for this component to rmatos.

Just reassigned back.

Comment 6 Marek Kašík 2018-06-08 11:24:07 UTC
This feature has been added to Gnome 3.28 so it will be available in gnome-settings-daemon 3.28 and gnome-control-center 3.28 as part of #1568621 and #1567179.

When a job which needs authentication is created gnome-settings-daemon will show you a notification about it and you can open gnome-control-center's Printers panel by clicking the notification and authenticate the job there.

Comment 10 errata-xmlrpc 2018-10-30 10:19:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.